List contact identifiers
GET
/workspaces/{workspaceId}/contacts/{contactId}/identifiers
This endpoint will return a list of identifiers for the specified contact.
Parametry zapytania
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Treść odpowiedzi
results
array of object
wymagane
Pokaż atrybuty podrzędne
results.contactId
string
wymagane
results.key
string
wymagane
results.value
string
wymagane
results.properties
object
results.createdAt
string
wymagane
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/contacts/{contactId}/identifiers' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Examples
Let's establish some of our data that will be used in the following examples:
- Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352
- AccessKey: abcd
- Contact ID: 12bd0e40-9361-4e32-8b26-99b4ab7eae09
List the identifiers from a contact
In this example, we're listing contact identifiers from a given contact ID.
Przykład kodu
curl -X GET "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/contacts/12bd0e40-9361-4e32-8b26-99b4ab7eae09/identifiers" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \Przykład kodu
{
"results": [
{
"contactId": "12bd0e40-9361-4e32-8b26-99b4ab7eae09",
"key": "emailaddress",
"value": "contacts@bird.com",
"properties": {
"isGmail": true
},
"createdAt": "2024-11-26T15:00:00.000Z"
}
]
}